[gun]
	#The default fire sound range (block)
	# Default: 64
	# Range: > 0
	DefaultGunFireSoundDistance = 64
	#The silencer default fire sound range (block)
	# Default: 16
	# Range: > 0
	DefaultGunSilenceSoundDistance = 16
	#The range (block) of other gun sound, reloading sound etc.
	# Default: 16
	# Range: > 0
	DefaultGunOtherSoundDistance = 16
	#Whether or not the player will consume ammo in creative mode
	CreativePlayerConsumeAmmo = true
	#Auto reload all the guns in player inventory, useful for pvp servers
	AutoReloadWhenRespawn = false

[ammo]
	#Warning: Ammo with explosive properties can break blocks
	ExplosiveAmmoDestroysBlock = true
	#Warning: Ammo with explosive properties can set the surroundings on fire
	ExplosiveAmmoFire = false
	#Ammo with explosive properties can add knockback effect
	ExplosiveAmmoKnockBack = true
	#The distance at which the explosion effect can be seen
	# Default: 192
	# Range: > 0
	ExplosiveAmmoVisibleDistance = 192
	#Those blocks that the ammo can pass through
	PassThroughBlocks = []
	#Whether a ammo can break the glass
	DestroyGlass = true
	#Whether a ammo can ignite the block
	IgniteBlock = true
	#Whether a ammo can ignite the entity
	IgniteEntity = true
	#Global bullet speed modifier, the init speed of the bullet will be multiplied by this value, default is 2.0
	#This is to compensate the side effects introduced while fixing the shooter variable input issue
	# Default: 2.0
	# Range: 0.01 ~ 20.0
	GlobalBulletSpeedModifier = 2.0

[other]
	#Deprecated: now move to .minecraft/tacz/tacz-pre.toml or <your version>/tacz/tacz-pre.toml
	#When enabled, the reload command will not overwrite the default model file under config
	DefaultPackDebug = false
	#The farthest sound distance of the target, including minecarts type
	# Default: 128
	# Range: > 0
	TargetSoundDistance = 128
	#DEV: Server hitbox offset (If the hitbox is ahead, fill in a negative number)
	# Default: 3.0
	# Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
	ServerHitboxOffset = 3.0
	#Server hitbox latency fix
	ServerHitboxLatencyFix = true
	#The maximum latency (in milliseconds) for the server hitbox latency fix saved
	# Default: 1000.0
	# Range: 250.0 ~ 1.7976931348623157E308
	ServerHitboxLatencyMaxSaveMs = 1000.0
